Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 331191 - qemu-kvm PXE boot broken
Summary: qemu-kvm PXE boot broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kvm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2007-10-14 06:34 UTC by Warren Togami
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-15 18:15:25 UTC


Attachments (Terms of Use)

Description Warren Togami 2007-10-14 06:34:51 UTC
kvm-36-6.fc8.x86_64
kernel-2.6.23-6.fc8

When I created a new VM using virt-manager for PXE boot, it ran this command to
launch qemu:

/usr/bin/qemu-kvm -M pc -m 500 -smp 1 -monitor pty -no-reboot -no-acpi -boot n
-hda /tmp/blah.img -net nic,macaddr=00:16:3e:07:1a:ff,vlan=0 -net
tap,fd=12,script=,vlan=0 -usb -vnc 127.0.0.1:0

PXE was not an option in the F10 boot menu.

Comment 1 Warren Togami 2007-10-14 06:35:50 UTC
(This is pretty important to rapidly test K12LTSP.)

Comment 2 Daniel Berrange 2007-10-15 18:15:25 UTC
Built to rawhide

* Mon Oct 15 2007 Daniel P. Berrange <berrange@redhat.com> - 36-7.fc8
- Fixed PXE boot when KVM is enabled (rhbz #331191)                            
                                                                              




Note You need to log in before you can comment on or make changes to this bug.